## Apache Zeta Components Manual :: Docs For Class ezcDocumentDocbookToRstHeadHandler

### Document::ezcDocumentDocbookToRstHeadHandler

### Class ezcDocumentDocbookToRstHeadHandler

Visit docbook sectioninfo elements

The sectioninfo elements contain metadata about the document or sections, which are transformed into the respective metadata in the HTML header.

Source for this file: /Document/src/converters/element_visitor/docbook/rst/head.php

    ezcDocumentElementVisitorHandler
       |
       --ezcDocumentDocbookToRstBaseHandler
          |
          --ezcDocumentDocbookToRstHeadHandler

Version: | //autogen//

### Member Variables

protected array | `$headerMapping = array( 'authors' => 'Authors', 'abstract' => 'Description', 'copyright' => 'Copyright', 'releaseinfo' => 'Version', 'pubdate' => 'Date', 'date' => 'Date', 'author' => 'Author', 'publisher' => 'Author', )` Element name mapping for meta information in the docbook document to HTML meta element names.

### Method Summary

public mixed | `handle( $converter , $node , $root )` Handle a node

### Inherited Methods

From ezcDocumentDocbookToRstBaseHandler
protected string | `ezcDocumentDocbookToRstBaseHandler::renderDirective()` Render a directive
From ezcDocumentElementVisitorHandler
public abstract mixed | `ezcDocumentElementVisitorHandler::handle()` Handle a node.

### Methods

#### handle

mixed handle( ezcDocumentElementVisitorConverter $converter , $node , mixed $root )

Handle a node

Handle / transform a given node, and return the result of the conversion.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$converter` | ezcDocumentElementVisitorConverter |
`$node` | DOMElement |
`$root` | mixed |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentElementVisitorHandler::handle()` | Handle a node.

Documentation generated by phpDocumentor 1.4.3